View Issue Details

IDProjectCategoryView StatusLast Update
0003323FreeCADBugpublic2018-01-31 22:42
ReporterwmayerAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003323: Crash when clearing transaction list
DescriptionFrom issue #3061 follow steps 1-4:
1. Create a sketch on the XY-plane. Draw a rectangle. Create a pad - this is "Sketch"+"Pad"
2. Create a second sketch on the XY-plane. Draw a rectangle intersecting with the first. Create a pad - this is "Sketch001"+"Pad001"
3. Right click on "Pad", and select "Move object after other object", and select "Pad001".
4. "Pad" has now moved to the end of the list, but "Pad001" is still has visibility.
5. Create a sketch on the XY-plane with another intersecting rectangle. Pad sketch
6. 3x Undo
7. Set Pad as tip
=> crash
Additional InformationStacktrace:
1 std::_Iterator_base12::_Adopt xutility 165 0x7fee53eddae
2 std::_Vector_const_iterator<std::_Vector_val<std::_Simple_types<App::DocumentObject * __ptr64>>>::_Vector_const_iterator<std::_Vector_val<std::_Simple_types<App::DocumentObject * __ptr64>>> vector 48 0x7fee548f0c9
3 std::_Vector_iterator<std::_Vector_val<std::_Simple_types<App::DocumentObject * __ptr64>>>::_Vector_iterator<std::_Vector_val<std::_Simple_types<App::DocumentObject * __ptr64>>> vector 307 0x7fee548fdfc
4 std::vector<App::DocumentObject * __ptr64>::end vector 1035 0x7fee55168db
5 App::DocumentObject::_removeBackLink DocumentObject.cpp 605 0x7fee5540827
6 App::PropertyLinkSub::~PropertyLinkSub PropertyLinks.cpp 446 0x7fee568fa70
7 PartDesign::ProfileBased::~ProfileBased _PartDesign_d 0x7fed590679f
8 PartDesign::Pad::~Pad _PartDesign_d 0x7fed5964185
9 PartDesign::Pad::`vector deleting destructor' _PartDesign_d 0x7fed59642ed
10 App::Transaction::~Transaction Transactions.cpp 79 0x7fee561002d
11 App::Transaction::`vector deleting destructor' FreeCADApp_d 0x7fee54def2d
12 App::Document::_clearRedos Document.cpp 979 0x7fee540ac0a
13 App::Document::openTransaction Document.cpp 950 0x7fee5403869
14 Gui::Document::openCommand Document.cpp 1432 0x7fee5caf4eb
15 Gui::Command::openCommand Command.cpp 428 0x7fee5d7ec2c
16 CmdPartDesignMoveTip::activated CommandBody.cpp 602 0x7fed5b849eb
17 Gui::Command::invoke Command.cpp 300 0x7fee5d7e63e
18 Gui::Action::onActivated Action.cpp 96 0x7fee5d684ce
19 Gui::Action::qt_static_metacall moc_Action.cpp 73 0x7fee5d67991
20 QMetaObject::activate qobject.cpp 3732 0x58ddb352
... <More>
TagsNo tags attached.

Activities

wmayer

2018-01-31 21:39

administrator   ~0010906

Simple test script demonstrating the crash:
[code=Python]
doc=App.newDocument()
doc.UndoMode=1
doc.openTransaction("Create object")
obj1=doc.addObject("App::FeatureTest","Test1")
obj2=doc.addObject("App::FeatureTest","Test2")
obj2.Link=obj1
doc.commitTransaction()
doc.undo()
doc.openTransaction("Create object")
[/code]

wmayer

2018-01-31 22:42

administrator   ~0010907

https://github.com/FreeCAD/FreeCAD/commit/bb39cc783a62ef996402ec84f196f12fe74e4ca8

Issue History

Date Modified Username Field Change
2018-01-22 21:28 wmayer New Issue
2018-01-22 21:29 wmayer Target Version => 0.17
2018-01-25 21:50 Kunda1 Description Updated View Revisions
2018-01-31 21:39 wmayer Note Added: 0010906
2018-01-31 22:42 wmayer Assigned To => wmayer
2018-01-31 22:42 wmayer Status new => closed
2018-01-31 22:42 wmayer Resolution open => fixed
2018-01-31 22:42 wmayer Fixed in Version => 0.17
2018-01-31 22:42 wmayer Note Added: 0010907